%{?nodejs_find_provides_and_requires}

%global packagename jest-docblock
%global enable_tests 1

Name:		nodejs-jest-docblock
Version:	22.4.3
Release:	1%{?dist}
Summary:	Extract and parse a specially-formatted comment called a docblock

License:	MIT
URL:		https://github.com/facebook/jest/tree/master/packages/jest-docblock
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license
Source1:	https://raw.githubusercontent.com/facebook/jest/master/LICENSE


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
A package that can extract and parse a specially-formatted comment called a
"docblock" at the top of a file.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json build/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- This module has no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 18 2018 Jared K. Smith <jsmith@fedoraproject.org> - 22.4.3-1
- Initial packaging
